-- Customer specific once-script UWVA#28028.
--
-- (c) 2013 SG|facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xuwva#28028.lst
SET DEFINE OFF

-- UWVA#28028: sleutels verdwenen in Sleutelbeheer?
-- Binding BIND_RUIMTE + BIND_TERREI + BIND_PERSOO (1 + 4 + 16 = 21)
UPDATE ins_srtdeel
   SET ins_srtdeel_binding = 21
 WHERE ins_srtgroep_key = 1190;

PROMPT Sleutels hersteld en terug naar magazijn:
SELECT ins_deel_omschrijving
  FROM ins_deel d
 WHERE d.ins_alg_ruimte_key IS NULL
   AND d.ins_alg_ruimte_key_org IS NOT NULL
   AND ins_srtdeel_key IN
            (SELECT ins_srtdeel_key
               FROM ins_srtdeel sd
              WHERE d.ins_srtdeel_key = sd.ins_srtdeel_key
                    AND sd.ins_srtgroep_key IN (1190, 1189))
ORDER BY ins_deel_omschrijving;

UPDATE ins_deel d
   SET ins_alg_ruimte_key = ins_alg_ruimte_key_org,
       ins_alg_ruimte_type = ins_alg_ruimte_type_org,
       ins_alg_ruimte_key_org = NULL,
       ins_alg_ruimte_type_org =  NULL
 WHERE d.ins_alg_ruimte_key IS NULL
   AND d.ins_alg_ruimte_key_org IS NOT NULL
   AND ins_srtdeel_key IN
              (SELECT ins_srtdeel_key
                 FROM ins_srtdeel sd
                WHERE d.ins_srtdeel_key = sd.ins_srtdeel_key
                  AND sd.ins_srtgroep_key IN (1190, 1189));

COMMIT;

BEGIN adm.systrackscript('$Workfile: UWVA#28028.sql $', '$Revision$', 2); END;
/
SPOOL OFF

COMMIT;
